Bug 26465 - Generated RTL CSS files should be committed
Summary: Generated RTL CSS files should be committed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-15 13:35 UTC by Owen Leonard
Modified: 2020-11-20 20:13 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-15 13:35:59 UTC
The new build process associated with Bug 20168 adds a few new generated CSS files, opac-rtl.css, print-rtl.css, and sco-rtl.css. These files should be added by the RM to be tracked in git just like opac.css is.
Comment 1 Jonathan Druart 2020-09-18 09:57:33 UTC
I pushed a follow-up for bug 20168.

However, did you see that there is a koha-tmpl/intranet-tmpl/prog/css/staff-global-rtl.css file that is generated by yarn build?
Comment 2 Owen Leonard 2020-11-20 20:13:47 UTC
(In reply to Jonathan Druart from comment #1)

> However, did you see that there is a
> koha-tmpl/intranet-tmpl/prog/css/staff-global-rtl.css file that is generated
> by yarn build?

This issue is now Bug 27072